Skip to content
Service & Support

Robomow Help Center

Which Robomow models are compatible with the Robomow App?

The Robomow App is compatible with all Robomow models (except RX12u) manufactured since 2014. Note that the Robomow App does not support RL/RM models.